CVE Vulnerabilities

CVE-2011-2496

Published: Jun 13, 2012 | Modified: Feb 13, 2023
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
4.9 MEDIUM
AV:L/AC:L/Au:N/C:N/I:N/A:C
RedHat/V2
RedHat/V3
Ubuntu

Integer overflow in the vma_to_resize function in mm/mremap.c in the Linux kernel before 2.6.39 allows local users to cause a denial of service (BUG_ON and system crash) via a crafted mremap system call that expands a memory mapping.

Affected Software

Name Vendor Start Version End Version
Linux_kernel Linux 2.6.38 2.6.38
Linux_kernel Linux 2.6.38 2.6.38
Linux_kernel Linux 2.6.38 2.6.38
Linux_kernel Linux 2.6.38.3 2.6.38.3
Linux_kernel Linux * 2.6.38.8
Linux_kernel Linux 2.6.38 2.6.38
Linux_kernel Linux 2.6.38 2.6.38
Linux_kernel Linux 2.6.38 2.6.38
Linux_kernel Linux 2.6.38.6 2.6.38.6
Linux_kernel Linux 2.6.38.1 2.6.38.1
Linux_kernel Linux 2.6.38 2.6.38
Linux_kernel Linux 2.6.38.5 2.6.38.5
Linux_kernel Linux 2.6.38.2 2.6.38.2
Linux_kernel Linux 2.6.38 2.6.38
Linux_kernel Linux 2.6.38 2.6.38
Linux_kernel Linux 2.6.38.4 2.6.38.4
Linux_kernel Linux 2.6.38.7 2.6.38.7

References